bdi4jade.belief

## Class PersistentBelief<K,V>

- java.lang.Object
- - bdi4jade.core.MetadataElementImpl
  - - bdi4jade.belief.AbstractBelief<K,V>
    - - bdi4jade.belief.PersistentBelief<K,V>

- All Implemented Interfaces:
    Belief<K,V>, MetadataElement, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable, java.lang.Cloneable

      public class PersistentBelief<K,V>
      extends AbstractBelief<K,V>

  This class extends the `AbstractBelief` and represents a persistent belief, which is persisted in a permanent memory. This class has not been implemented yet.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected V` | `value`

    - ### Fields inherited from class bdi4jade.core.MetadataElementImpl

      `metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentBelief()` The default constructor.
    `PersistentBelief(K name)` Initializes a belief with its name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `getValue()` Not implemented yet.
    `protected void` | `updateValue(V value)` Not implemented yet.

    - ### Methods inherited from class bdi4jade.belief.AbstractBelief

      `addBeliefBase, clone, equals, getBeliefBases, getName, hashCode, notifyBeliefBases, removeBeliefBase, setName, setValue, toString`

    - ### Methods inherited from class bdi4jade.core.MetadataElementImpl

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.core.MetadataElement

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

- - ### Field Detail

    - #### value

          protected V value

  - ### Constructor Detail

    - #### PersistentBelief

          public PersistentBelief()

      The default constructor. It should be only used if persistence frameworks are used.

    - #### PersistentBelief

          public PersistentBelief(K name)

      Initializes a belief with its name.
      Parameters:
        `name` - the belief name.

  - ### Method Detail

    - #### getValue

          public V getValue()

      Not implemented yet.
      Returns:
        the belief value.
      See Also:
        `Belief.getValue()`

    - #### updateValue

          protected void updateValue(V value)

      Not implemented yet.
      Specified by:
        `updateValue` in class `AbstractBelief<K,V>`
      Parameters:
        `value` - the value to set.
      See Also:
        `Belief.setValue(java.lang.Object)`